- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions

# QSqlRelation Class Reference

Search for all occurrences

## Detailed Description

Definition at line 53 of file qsqlrelationaltablemodel.h.

`#include <qsqlrelationaltablemodel.h>`

List of all members.

## Public Member Functions
| QSqlRelation ()
| QSqlRelation (const QString &aTableName, const QString &indexCol, const QString &displayCol)
QString | tableName () const
QString | indexColumn () const
QString | displayColumn () const
bool | isValid () const

## Constructor & Destructor Documentation

QSqlRelation | ( |  | ) | `[inline]`

Definition at line 56 of file qsqlrelationaltablemodel.h.

    {}

QSqlRelation | ( | const QString & | aTableName,
|  | const QString & | indexCol,
|  | const QString & | displayCol
| ) |  | `[inline]`

Definition at line 57 of file qsqlrelationaltablemodel.h.

            : tName(aTableName), iColumn(indexCol), dColumn(displayCol) {}

## Member Function Documentation

QString tableName | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 60 of file qsqlrelationaltablemodel.h.

        { return tName; }

QString indexColumn | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 62 of file qsqlrelationaltablemodel.h.

        { return iColumn; }

QString displayColumn | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 64 of file qsqlrelationaltablemodel.h.

        { return dColumn; }

bool isValid | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 66 of file qsqlrelationaltablemodel.h.

        { return !(tName.isEmpty() || iColumn.isEmpty() || dColumn.isEmpty()); }

The documentation for this class was generated from the following file:

- QtSql/qsqlrelationaltablemodel.h

QSqlRelation QSqlRelation QSqlRelation QSqlRelation QSqlRelation QSqlRelation QSqlRelation QSqlRelation QSqlRelation QSqlRelation
QSqlRelation QSqlRelation QSqlRelation QSqlRelation QSqlRelation QSqlRelation QSqlRelation QSqlRelation QSqlRelation QSqlRelation